Subject: bug#58134: grep for windows Include GLOB pattern with double star doesn't seem to work

From: Alex Benoit <[email-masked]>
Date: Wed, 28 Sep 2022 17:46:50 +0000

I see, this is not very easy to do on the Windows side of things, so grep has a very basic pattern matching capability for files. Thanks for the help, I'll find something that works. Was just wondering if I missed anything.

-----Original Message-----
From: Paul Eggert <[email-masked]> 
Sent: Wednesday, September 28, 2022 10:42 AM
To: Alex Benoit <[email-masked]>
Cc: [email-masked]
Subject: Re: [EXTERNAL] Re: bug#58134: grep for windows Include GLOB pattern with double star doesn't seem to work

[You don't often get email from [email-masked]. Learn why this is important at https://aka.ms/LearnAboutSenderIdentification ]

On 9/28/22 10:29, Alex Benoit wrote:
> For instance, if I run the grep command from /, and I have the files:
> /a/b/folder/file.xml
> /a/b/file2.xml
> /a/folder/file3.xml
> /folder/file4.xml
>
> I want to match the file.xml, file3.xml and file4.xml, but not file2.xml, because it is not under a folder named "folder".

For that, you should use 'find' as a front end for 'grep'. It's the
usual software tools philosophy.